/*
	微信支付
*/
const wxPay = (params)=>{
	return new Promise((resolve, rejects)=>{
		wx.requestPayment({
			timeStamp:params.timeStamp,
			nonceStr:params.nonceStr,
			package:params.packageValue,
			signType:params.signType,
			paySign:params.paySign,
			success(res){
				return resolve(res)
			},
			fail(err){
				return rejects(err)
			}
		})
	})
}

export default wxPay